#
# spec file for package pwlib (Version 1.5.2)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  SDL SDL-devel expat gpp libdc1394 libdv libgpp libraw1394 libraw1394-devel openldap2 openldap2-devel openssl openssl-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel SDL SDL-devel autoconf automake binutils cracklib expat gcc gcc-c++ gdbm gettext libdc1394 libdv libraw1394 libraw1394-devel libstdc++-devel libtool openldap2 openldap2-devel openssl-devel perl rpm

Name:         pwlib
URL:          http://www.openh323.org
License:      MPL
Group:        System/Libraries
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Autoreqprov:  on
Summary:      Portable Windows Library from Equivalence Pty. Ltd.
Version:      1.5.2
Release:      192
Source:       pwlib_%{version}.tar.bz2
Patch:        pwlib.dif
Patch1:       pwlib_1.5.2_security.diff

%description
PWLib is a moderately large class library that was created many years
ago as a method to produce applications that run on both Microsoft
Windows and the X Window System. It was supposed to have a Macintosh
port as well but this never happened.

It is used for the OpenH323 project, see www.openh323.org for details.



Authors:
--------
    Equivalence Pty. Ltd. <support@equival.com.au>

%package devel
Summary:      pwlib package for developers (includes headers and scripts)
Group:        Development/Libraries/C and C++

%description -n pwlib-devel
This package includes header files and scripts needed for developers
using the PWLIB library.



Authors:
--------
    Equivalence Pty. Ltd. <support@equival.com.au>

%prep
%setup -q -n pwlib
%patch
%patch1 -p1

%build
autoreconf --force --install
%{?suse_update_config:%{suse_update_config -f}}
PWINSTDIR=/usr/share/pwlib ./configure \
	--prefix=/usr \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--enable-firewiredc
chmod 755 make/ptlib-config
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" opt

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT/usr/include/pwlib
make install DESTDIR=$RPM_BUILD_ROOT
(cd $RPM_BUILD_ROOT/%{_bindir}; ln -snf ../share/pwlib/make/ptlib-config ptlib-config)
find $RPM_BUILD_ROOT -type d -name CVS | xargs rm -rf
find $RPM_BUILD_ROOT -type f -name .cvsignore | xargs rm -f

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%{_libdir}/libpt_linux_*.1*

%files devel
%doc ReadMe.txt
%{_bindir}/asnparser
%{_bindir}/ptlib-config
%{_libdir}/libpt_linux_*.so
%dir /usr/include/pwlib
/usr/include/pwlib/*
%dir /usr/share/pwlib
/usr/share/pwlib/*

%changelog -n pwlib
* Thu Feb 26 2004 - thomas@suse.de
- fixed build failure
* Tue Feb 24 2004 - thomas@suse.de
- fixed several security-related bugs (#34881)
* Tue Sep 09 2003 - kkaempf@suse.de
- Fixed alphaev67 naming problem.
* Mon Sep 08 2003 - meissner@suse.de
- Fixed powerpc64 naming problem.
* Mon Aug 25 2003 - kkaempf@suse.de
- fix 'swab()' ambiguity
* Sat Aug 16 2003 - ro@suse.de
- avoid including linux/device.h
* Fri Jul 25 2003 - kkaempf@suse.de
- drop "-fno-rtti" from configure. The gnugk gatekeeper needs rtti.
* Wed Jul 23 2003 - kkaempf@suse.de
- make ptlib-config accessible in normal path.
* Thu Jul 03 2003 - kkaempf@suse.de
- update to 1.5.2 (from CVS, as advised on openh323 mailing list)
- fix %%build in specfile, pwlib uses autoconf/automake now
- install libraries to %%libdir,
  install includes to /usr/include/pwlib,
  install shared files to /usr/share/pwlib
- added support for ieee1394 (Firewire) cameras
- enable IPv6 (untested)
* Fri Feb 07 2003 - kkaempf@suse.de
- disable IPv6, it's still experimental.
* Thu Feb 06 2003 - kkaempf@suse.de
- update to 1.4.9
* Fri Jan 24 2003 - meissner@suse.de
- ppc64 port added.
- Pass RPM_OPT_FLAGS to compile, so we get -fsigned-char and/or
-mminimal-toc if needed.
* Wed Jan 15 2003 - kkaempf@suse.de
- add -fPIC to OPTCCFLAGS as well.
- fix .so suffixes in symlinks for 1.4.x
* Wed Jan 08 2003 - kkaempf@suse.de
- update to 1.4.7
* Thu Dec 19 2002 - kkaempf@suse.de
- resolve gcc 3.3 ambiguities
* Mon Dec 16 2002 - kkaempf@suse.de
- update to 1.4.6
* Mon Nov 18 2002 - kkaempf@suse.de
- gcc 3.x deprecates strstream.h, use strsteam instead
* Fri Nov 15 2002 - kkaempf@suse.de
- add expat for xml support, needed by openivr
- update to 1.4.4
* Wed Nov 13 2002 - kkaempf@suse.de
- update to 1.4.3
* Thu Nov 07 2002 - ro@suse.de
- update to current 1.4.2
* Sat Aug 17 2002 - kkaempf@suse.de
- Update to 1.3.5:
  Fixed memory leaks
  Added lots of stuff from OpalVXML
  Add support for GetCyberPatrol
* Tue Aug 06 2002 - kkaempf@suse.de
- Update to 1.3.4
* Wed Jul 10 2002 - kkaempf@suse.de
- Update to 1.3.3. Needed for openam 1.9.3.
* Tue Jul 09 2002 - kkaempf@suse.de
- Update to 1.3.2.
* Thu Jun 27 2002 - schwab@suse.de
- Fix typo in last change.
* Thu Jun 27 2002 - schwab@suse.de
- Define P_64BIT in header to make them self-contained.
* Mon Jun 24 2002 - ro@suse.de
- use -fPIC for objects that will be used for a shared lib
* Wed May 22 2002 - ro@suse.de
- update to 1.2.19
* Sun May 12 2002 - ro@suse.de
- added x86_64 recognition
* Thu Apr 18 2002 - ro@suse.de
- make operator= public (not protected) in asner.h
* Wed Apr 17 2002 - ro@suse.de
- don't define PINDEX as int but fix code instead
  (provide operator with int as argument) to fix segfault
* Tue Apr 16 2002 - ro@suse.de
- update to 1.2.15
- define PINDEX as "int" for operator[] arg mess with gcc-3
* Tue Jan 29 2002 - kkaempf@suse.de
- Update to 1.2.11
* Sun Jan 27 2002 - ro@suse.de
- fix for updated bison
* Wed Jan 23 2002 - schwab@suse.de
- Fix for gcc3.
* Tue Dec 18 2001 - kkaempf@suse.de
- Update to 1.2.8
- Use %%{_libdir} in Makefiles
* Mon Dec 17 2001 - kkaempf@suse.de
- Fix .so symlinks
- Use %%{_libdir} in .spec file.
* Mon Dec 17 2001 - kkaempf@suse.de
- Update to 1.2.7
* Mon Dec 03 2001 - adrian@suse.de
- fix mips and arm recognition.
* Mon Dec 03 2001 - schwab@suse.de
- Fix getdate parser to use %%pure_parser instead of YYPURE.
- Fix endian configuration: alpha is little endian, s390* is big endian.
* Fri Oct 19 2001 - schwab@suse.de
- Fix use of <localeinfo.h>.
* Fri Aug 17 2001 - kkaempf@suse.de
- update to 1.1.36
  fix ppc recognition.
* Thu Aug 16 2001 - kkaempf@suse.de
- implement RPM_BUILD_ROOT in spec file.
* Mon Aug 06 2001 - kkaempf@suse.de
- update to pwlib-1.1.34
* Wed Jun 20 2001 - kkaempf@suse.de
- fix machtype recognition for s390/s390x
- mark s390x as 64bit
* Tue Jun 19 2001 - kkaempf@suse.de
- add s390x as target
- clean up specfile
* Wed Apr 11 2001 - froh@suse.de
- recognize s390
* Fri Mar 02 2001 - kkaempf@suse.de
- fix sparc recognition in unix.mak
* Thu Feb 15 2001 - kkaempf@suse.de
- recognize sparc and sparc64
- set P_64BIT define for ia64
* Wed Feb 14 2001 - kkaempf@suse.de
- properly call va_end() after va_start() inside a block
  (newer gcc checks for this)
- override MACHTYPE to contain architecture only on alpha
* Thu Jan 04 2001 - kkaempf@suse.de
- provide .so in -devel package only
* Wed Jan 03 2001 - kkaempf@suse.de
- move files from /opt/h323/pwlib to /usr/lib/pwlib
  install libraries in /usr/lib
  install development components in /usr/lib/pwlib
* Tue Jan 02 2001 - kkaempf@suse.de
- update to maintanance release 1.1pl19
* Mon Nov 20 2000 - kkaempf@suse.de
- recognize ia64 in MACHTYPE
* Thu Nov 16 2000 - kkaempf@suse.de
- use %%doc in filelist
* Wed Nov 15 2000 - kkaempf@suse.de
- fixed filelist, *.inl are include files :-}
* Wed Nov 15 2000 - kkaempf@suse.de
- split pwlib and pwlib-devel
  added minimal readme to pwlib-devel
* Fri Nov 10 2000 - kkaempf@suse.de
- fix MACHTYPE for sparc and alpha
* Fri Nov 03 2000 - kkaempf@suse.de
- fixed neededforbuild, removed bison
* Tue Sep 05 2000 - kkaempf@suse.de
- update to 1.1.18
* Thu Jul 13 2000 - kkaempf@suse.de
- fix namespace std bug
* Wed Jul 12 2000 - kkaempf@suse.de
- fix sparc machtype
* Wed Jul 12 2000 - kkaempf@suse.de
- cvs update
* Mon Jul 10 2000 - kkaempf@suse.de
- fix specfile for alpha and ia64
* Tue Jul 04 2000 - kkaempf@suse.de
- fix dirpath in specfile
* Mon Jul 03 2000 - kkaempf@suse.de
- fix build error
* Mon Jun 26 2000 - kkaempf@suse.de
- fix libname for alpha
* Wed Jun 21 2000 - ro@suse.de
- specfile fix
* Wed Jun 21 2000 - kkaempf@suse.de
- adapt to non-x86 architectures
* Tue Jun 20 2000 - kkaempf@suse.de
- created package
